import 'package:hydrated_bloc/hydrated_bloc.dart';

import 'package:jeweled/config/menu.dart';

class NavCubit extends HydratedCubit<int> {
  NavCubit() : super(0);

  void updateIndex(int index) {
    if (Menu.isIndexAllowed(index)) {
      emit(index);
    } else {
      goToGamePage();
    }
  }

  void goToGamePage() {
    emit(Menu.indexGame);
  }

  void switchToSettingsPage() {
    if (state != Menu.indexSettings) {
      emit(Menu.indexSettings);
    } else {
      goToGamePage();
    }
  }

  void switchToAboutPage() {
    if (state != Menu.indexAbout) {
      emit(Menu.indexAbout);
    } else {
      goToGamePage();
    }
  }

  @override
  int fromJson(Map<String, dynamic> json) {
    return Menu.indexGame;
  }

  @override
  Map<String, dynamic>? toJson(int state) {
    return <String, int>{'pageIndex': state};
  }
}
